%define upstream_name    BackPAN-Index
%define upstream_version 0.42

%{?perl_default_filter:%perl_default_filter}

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\((CLASS|Path::Class)$\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Role to dump object data as a hash
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/BackPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(autodie)
BuildRequires: perl(parent)
BuildRequires: perl(App::Cache)
BuildRequires: perl(Archive::Extract)
BuildRequires: perl(CLASS)
BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Mouse)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Compile)
BuildRequires: perl(URI)
BuildArch: noarch

%description
This downloads, caches and parses the BackPAN index into a local database
for efficient querying.

Its a pretty thin wrapper around DBIx::Class returning the
DBIx::Class::ResultSet manpage objects which makes it efficient and
flexible.

The Comprehensive Perl Archive Network (CPAN) is a very useful collection
of Perl code. However, in order to keep CPAN relatively small, authors of
modules can delete older versions of modules to only let CPAN have the
latest version of a module. BackPAN is where these deleted modules are
backed up. It's more like a full CPAN mirror, only without the deletions.
This module provides an index of BackPAN and some handy methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build


%install
./Build install destdir=%{buildroot}

%files
%doc CHANGES LICENSE META.json META.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.420.0-7pclos2017
- rebuild against updates

